<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.custom.mapper.TrademarkMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="trademarkResultMap" type="org.springblade.modules.custom.entity.Trademark">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="type" property="type"/>
        <result column="user_id" property="userId"/>
        <result column="auth_cert" property="authCert"/>
        <result column="use_period" property="usePeriod"/>
        <result column="name" property="name"/>
        <result column="logo" property="logo"/>
        <result column="auth_fee" property="authFee"/>
        <result column="buy_free" property="buyFree"/>
        <result column="auth_days" property="authDays"/>
    </resultMap>


    <select id="selectTrademarkPage" resultMap="trademarkResultMap">
        select * from biz_trademark where is_delete = 0
    </select>

</mapper>
